libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
bssmap_le_perform_loc_req Struct Reference
3GPP TS 49.031 BSSMAP-LE.

`#include <gsm_49_031.h>`

## Data Fields
struct bssmap_le_location_type | location_type
struct gsm0808_cell_id | cell_id
bool | lcs_client_type_present
enum bssmap_le_lcs_client_type | lcs_client_type
struct osmo_mobile_identity | imsi
struct osmo_mobile_identity | imei
bool | apdu_present
struct bsslap_pdu | apdu
bool | more_items
| set this to true iff any fields below are used More...
bool | lcs_priority_present
uint8_t | lcs_priority
| see in 3GPP TS 29.002 More...
bool | lcs_qos_present
struct osmo_bssmap_le_lcs_qos | lcs_qos
bool | more_items2
| always set this to false More...

## Field Documentation

## ◆ apdu

struct bsslap_pdu bssmap_le_perform_loc_req::apdu

Referenced by osmo_bssap_le_pdu_to_str_buf().

## ◆ apdu_present

bool bssmap_le_perform_loc_req::apdu_present

Referenced by osmo_bssap_le_pdu_to_str_buf().

## ◆ cell_id

struct gsm0808_cell_id bssmap_le_perform_loc_req::cell_id

## ◆ imei

struct osmo_mobile_identity bssmap_le_perform_loc_req::imei

## ◆ imsi

struct osmo_mobile_identity bssmap_le_perform_loc_req::imsi

## ◆ lcs_client_type

enum bssmap_le_lcs_client_type bssmap_le_perform_loc_req::lcs_client_type

## ◆ lcs_client_type_present

bool bssmap_le_perform_loc_req::lcs_client_type_present

## ◆ lcs_priority

uint8_t bssmap_le_perform_loc_req::lcs_priority

see in 3GPP TS 29.002

## ◆ lcs_priority_present

bool bssmap_le_perform_loc_req::lcs_priority_present

## ◆ lcs_qos

struct osmo_bssmap_le_lcs_qos bssmap_le_perform_loc_req::lcs_qos

## ◆ lcs_qos_present

bool bssmap_le_perform_loc_req::lcs_qos_present

## ◆ location_type

struct bssmap_le_location_type bssmap_le_perform_loc_req::location_type

## ◆ more_items

bool bssmap_le_perform_loc_req::more_items

set this to true iff any fields below are used

## ◆ more_items2

bool bssmap_le_perform_loc_req::more_items2

always set this to false

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_49_031.h